<?php
/**
* トランスフォーマを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface ITransformer extends IObject
{

	/**
	 * トランスフォーマを初期化する
	 */
	public function init( Config $config );

	/**
	 * 変換する
	 */
	public function transform( DTO $in_data, IModel $in_model, DTO $out_data, IModel $out_model );

}

return __FILE__;